Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A600 Memory

AuthorTopic: iBrowse 2.4, Ami SSL 3.6 and this forum  (Read 2008 times)

0 Members and 1 Guest are viewing this topic.

Offline beller

iBrowse 2.4, Ami SSL 3.6 and this forum
« on: June 17, 2019, 05:34:18 AM »
Getting iBrowse up and running again on my 3.1.4 systems.  Installed AmiSSL 3.6 and 4 and I'm using Roadshow for my connection.  All of the Amiga.org forums let me in without a problem but this form hangs with a complaint about the SSL certificates and locks me out....

Any fixes or does someone need to look at the certificate for the forum?
 

Offline Oldsmobile_Mike

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #1 on: June 17, 2019, 04:30:08 PM »
Back in the day you could only view this forum with IBrowse by using the proxy.  Obviously that all changed with the site redesign.  I'd be very surprised if it works at all, now...?
Amiga 500: 2MB Chip|16MB Fast|30MHz 68030+68882|3.9|Indivision ECS|GVP A500HD+|Mechware card reader + 8GB CF|Cocolino|SCSI DVD-RAM
Amiga 2000: 2MB Chip|136MB Fast|50MHz 68060|3.9|Indivision ECS + GVP Spectrum|Mechware card reader + 8GB CF|AD516|X-Surf 100|RapidRoad|Cocolino|SCSI CD-RW
 Amiga videos and other misc. stuff at https://www.youtube.com/CompTechMike/videos
 

Offline giZmo350

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #2 on: June 17, 2019, 04:51:00 PM »
I am now logged on and am also using AmiSSL V3.6. The site actually works very well with the current version of iBrowse. There's a couple of configs that you might have to perform to get the cert to work correctly. There's an explanation of what to do over on the iBrowse site. I gotta get back out to the front of the house ATM, the stump grinding dudes are out there. ;-) Posted from my A2000.

BTW, the VersionWB program is the BOMB! It IS awesome! Thanks OM!
« Last Edit: June 17, 2019, 04:58:48 PM by giZmo350 »
A500: 2MB Chip, 8MB Fast, IndiECS, MiniMegi, IDE4ZorroII on Z-500, KS1.3/KS3.1, WB3.1&BWB
 
A2000HD: 2MB Chip, 128MB Fast, P5:Blizz 2060@50MHz, PCD-50B/4GBCF, XSurf100, RapidRoad, IndiECS, Matze RTG, MiniMegi, CD-RW, SunRize AD516, WB3.9
 
A1200: 2MB Chip, 64MB Fast, 4GBCF, GVP Typhoon 030 @40MHz w/FPU, Subway USB, EasyNet Ethernet, Indi AGA MKI, FastATA MK-IV, Internal Slim CD/DVD-RW, WB3.5

"The internet doesn't weigh anything Jen
 
The following users thanked this post: beller

Offline beller

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #3 on: June 17, 2019, 06:48:00 PM »
What TCP/IP stack are you using?  I'm using RoadShow which looks like it might be the issue.  They is no fix listed...
 

Offline giZmo350

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #4 on: June 17, 2019, 07:00:23 PM »
What TCP/IP stack are you using?  I'm using RoadShow which looks like it might be the issue.  They is no fix listed...

I'm using AmiTCP. Also, here's a link over to EAB that tells what to do to use the new AmiSSL 4.1 certificates. Read the whole thread as there is a good clarification 'cause someone was doing it wrong. LOL

http://eab.abime.net/showthread.php?t=90478
A500: 2MB Chip, 8MB Fast, IndiECS, MiniMegi, IDE4ZorroII on Z-500, KS1.3/KS3.1, WB3.1&BWB
 
A2000HD: 2MB Chip, 128MB Fast, P5:Blizz 2060@50MHz, PCD-50B/4GBCF, XSurf100, RapidRoad, IndiECS, Matze RTG, MiniMegi, CD-RW, SunRize AD516, WB3.9
 
A1200: 2MB Chip, 64MB Fast, 4GBCF, GVP Typhoon 030 @40MHz w/FPU, Subway USB, EasyNet Ethernet, Indi AGA MKI, FastATA MK-IV, Internal Slim CD/DVD-RW, WB3.5

"The internet doesn't weigh anything Jen
 

Offline beller

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #5 on: June 18, 2019, 05:37:18 AM »
Thanks....I did that fix.   I think it a conflict with Roadshow’w stack and iBrowse.  How much longer until we get 2.5?
 

Offline paul1981

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #6 on: June 18, 2019, 10:55:29 AM »
I'm still running AmiSSL 3.6 as I don't have any new programs to make use of version 4. I have Roadshow and IBrowse, so I'll try and log on Amiga.org tonight and see what happens.
 

Offline paul1981

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #7 on: June 18, 2019, 10:10:54 PM »
Okay, I am actually typing this from my A1200, so it appears to be working fine for me. I have downloaded a photo attachment too from a different thread so all appears to be working here.
I'm using IBrowse 2.4 with Roadshow 1.13 and AmiSSL 3.6. I'm now going to attach a .iff screen grab to see if I can attach :)

I've found a rather good screen grabber called QuickGrab on aminet for this (so that I may attach proof!):

http://m68k.aminet.net/package/gfx/misc/QuickGrab1_1

Hopefully this post will come out okay without LF issues! If it doesn't, I do apologise for messing your screen up ;)
 
The following users thanked this post: beller

Offline paul1981

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #8 on: June 18, 2019, 10:17:25 PM »
Working great! Now amiga.org... why couldn't I attach a good old Amiga IFF file? I had to convert it first via Personal Paint to PNG. Should I have just renamed it to a .txt file and then it would have uploaded? But if I did that it either would fail or create an unpleasant mess on someones screen... Any advice other than "convert to PNG or JPG"?
 
The following users thanked this post: beller

Offline paul1981

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #9 on: June 18, 2019, 11:28:35 PM »
I forgot to mention that I'm using OS3.1...not 3.1.4!

I'm posting this from my mobile...not anywhere near as much fun! I used to use the amiga.org proxy when that was running but now since the site update the proxy isn't required anyway.
 

Offline beller

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #10 on: June 19, 2019, 10:52:24 PM »
That may be the issue...I'm using 3.1.4
 

Offline paul1981

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #11 on: June 23, 2019, 11:36:04 AM »
That may be the issue...I'm using 3.1.4

Are you certain that you have the env var set up correctly and IBrowse security configured correctly?

In IBrowse go to the Menu > Preferences > Settings...
Make sure both 'SSL v2 support' and 'SSLv3 support' are enabled
Save the settings.

There was some confusion about the setenv command as it differs between the OS3.9 version and OS3.1. The OS3.9 version can create directories in ENV: and the 3.1 version not. You can set it up manually though quite simply:

Create a new directory (drawer :) in ENVARC: called AmiSSL (ENVARC: lives in SYS:Prefs/Env-Archive)

Use your favourite text editor to create a text file containing four characters as follows (without quotes) : 'tls1'

Save this text file into your newly created AmiSSL directory with the filename 'SSL_CLIENT_VERSION'  (without quoues)

So to summarise, in the path 'SYS:Prefs/Env-Archive/AmiSSL' there is a 4 byte file called 'SSL_CLIENT_VERSION' the content of which is 'tls1'.

That is it. You can now reboot and it should work. If you don't want to reboot just copy that AmiSSL drawer over to ENV: and restart IBrowse.
 

Offline beller

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #12 on: June 23, 2019, 07:11:06 PM »
That may be the issue...I'm using 3.1.4

Are you certain that you have the env var set up correctly and IBrowse security configured correctly?

In IBrowse go to the Menu > Preferences > Settings...
Make sure both 'SSL v2 support' and 'SSLv3 support' are enabled
Save the settings.

There was some confusion about the setenv command as it differs between the OS3.9 version and OS3.1. The OS3.9 version can create directories in ENV: and the 3.1 version not. You can set it up manually though quite simply:

Create a new directory (drawer :) in ENVARC: called AmiSSL (ENVARC: lives in SYS:Prefs/Env-Archive)

Use your favourite text editor to create a text file containing four characters as follows (without quotes) : 'tls1'

Save this text file into your newly created AmiSSL directory with the filename 'SSL_CLIENT_VERSION'  (without quoues)

So to summarise, in the path 'SYS:Prefs/Env-Archive/AmiSSL' there is a 4 byte file called 'SSL_CLIENT_VERSION' the content of which is 'tls1'.

That is it. You can now reboot and it should work. If you don't want to reboot just copy that AmiSSL drawer over to ENV: and restart IBrowse.

I was quite certain that I had completed all of the steps you list and i just confirmed that I had.  I installed AmiSSL 4.3 on top of the previous installation....I'm still told the remote server is using an encryption protocol not supported by iBrowse.

 

Offline paul1981

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #13 on: June 25, 2019, 11:03:57 AM »
I've just re-read your first post and it's hard to tell but did you install AmiSSL 4.3 because version 3.6 didn't work either? I haven't personally installed 4.3, but according to what I've read it shouldn't make a difference with IBrowse 2.4...either 3.6 or 4.3 should work.
 

Offline beller

Re: iBrowse 2.4, Ami SSL 3.6 and this forum
« Reply #14 on: June 25, 2019, 09:45:34 PM »
The instructions I've seen called for installing AmiSSL 3.6 and then 4.3  I uninstalled and tried 3.6 alone and when it didn't work I reinstalled 4.3.